Skip to content

SignBox API (1.0.0)

For testing purposes, Uanataca provides integrators of a pre-configured test-mode SignBox Optimizer accessible at the following URL: https://optimizer-developers.uanataca.com

For more information about the sandbox environment click here. UANATACA SIGNBOX API Sandbox

Download OpenAPI description
Languages
Servers

https://docs.namirial.app/signbox/

Operations

Request

Replies back what it receives to check the service availability.

Query
messagestring(Message)
Default "echo"
curl -X GET 'https://signbox.sandbox.uanataca.com/api/v1/echo?message=HelloWorld'

Responses

Successful Response

Body
any
Response
null

Request

Signs the submitted file.

Query
appendstring(Append)
countersignstring(Countersign)
Bodymultipart/form-datarequired
filestring(binary)(File)

File to be signed. If this parameter is specified, leave url_in blank

url_instring(uri)(Url In)[ 1 .. 2083 ] characters

Url to download the file to sign. If this parameter is specified, leave file_in blank

url_outstring(uri)(Url Out)[ 1 .. 2083 ] characters

Url where to send the signed file

urlbackstring(uri)(Urlback)[ 1 .. 2083 ] characters

Url where to send log process informations

envstring(Env)

Reference environment for sandbox or production

  • sandbox
  • prod
Default "prod"
Enum"prod""sandbox"
usernamestring(Username)required

Digital identity username

passwordstring(Password)required

Digital identity password

pinstring(Pin)required

Digital identity PIN

identifierstring(Identifier)

Digital identity identifier

Default "DS0"
certificate_checkboolean(certificate_check)

Verification of certificate validity status

formatstring(Format)

Types of supported signature profiles:

pades for PDF files

xades for XML files

cades for other files

Default "pades"
Enum"pades""xades""cades"
otpstring(Otp)

The OTP code previously sent to the user. This parameter is only required and available for specific digital identities

sessionidstring(Sessionid)

The id of the session previously opened. This parameter is only required and available for specific digital identities

levelstring(Level)

Specify the level of the signature

  • BASIC, T, LTV, LTVLITE, LTVA for pades

  • BASIC, T, EPES, XL for xades

  • BASIC, T, EPES for cades

Default "BASIC"
Enum"BASIC""T""LTV""LTVLITE""LTVA"
tsa_urlstring(uri)(Tsa Url)[ 1 .. 2083 ] characters

Timestamp service URL. This field is required for signatures with levels T or LTV. Required only if not set at settings.toml file.

Default "https://tsa.uanataca.com/tsa/tss03"
tsa_userstring(Tsa User)

Timestamp service billing username.

Default ""
tsa_passstring(Tsa Pass)

Timestamp service billing password.

Default ""
billing_usernamestring(Billing Username)required

Billing account username

billing_passwordstring(Billing Password)required

Billing account password in base64 or plain text

pageinteger(Page)

Page number where the image signature is placed. The first page starts in 0

Default 0
signature_idsstring(Signature Ids)

PDF signature field ids to sign (Example: signature1,signature2)

signature_appearancestring(Signature Appearance)

Describes the signature appearance like an JSON object. The parameters are:

  • text This property controls the text that is going to be introduced. Through variables you retrieve information from the signer certificate. '%(CN)', '%(SUBJECT)s', '%(DATE)s', '%(E)s' can be used.
  • date Date formatting. An input example would be %d/%m/%Y %H:%M:%S
  • timezone Selected timezone for the graphic signature, default is UTC. You can list the time zones with the following linux command: timedatectl list-timezones
  • position The coordinates in points (pt) for signature image position and size, starting from bottom left corner (x1,y1,x2,y2). 1px = 0.75pt.
  • image The previously uploaded image id
  • b64_image the image in base64
  • qrcode url used to build a qr
  • horizontal
  • page The document page where the signature will be placed. The first page starts at 0
  • text_size Controls the text size.
  • text_align Controls the horizontal alignment of text
  • reason Reason about the signature
  • location Geographic location about the signature
{
  "text": [
    "Firmado por: %(CN)s",
    "%(EMAIL)s %(L)s %(SUBJECT)s",
    "Fecha: %(DATE)s"
  ],
  "date": "%d/%m/%Y %H:%M:%S %z",
  "timezone": "America/Guatemala",
  "position": "30,100,165,150",
  "image": "be1cd133-8be5-4346-87de-d40afd90a3b9",
  "horizontal": true,
  "page": 0
}
signature_subfilterstring(Signature Subfilter)

Change the signature subfilter. Default ETSI.CAdES.detached

Default "ETSI.CAdES.detached"
Enum"ETSI.CAdES.detached""adbe.pkcs7.detached"
useasyncboolean(Useasync)

Enable the asyncronous flow. Default asynchronous

Default true
curl -X POST 'https://signbox.sandbox.uanataca.com/api/v1/sign'   -H 'Content-Type: multipart/form-data'   -F file=@file.pdf   --form-string 'username=username'   --form-string 'pin=pin'   --form-string 'password=password'   --form-string 'format=PADES'   --form-string 'level=BASIC'

Responses

Successful Response

Body
string(binary)

Signed file

Response
No response example

Request

Generates an otp for the specified digital identity.

Bodyapplication/x-www-form-urlencodedrequired
usernamestring(Username)required

Digital identity username

passwordstring(Password)required

Digital identity password

envstring(Env)

Reference environment for sandbox or production

  • sandbox
  • prod
Default "prod"
Enum"sandbox""prod"
curl -X POST 'https://signbox.sandbox.uanataca.com/api/v1/otp'   -H 'Content-Type: multipart/form-data'   --form-string 'username=username'   --form-string 'password=password'

Responses

Successful Response

Bodyapplication/json
any
Response
application/json
{ "status": "success", "message": "OTP generated" }

Request

Open a signature session for the specified digital identity.

Bodyapplication/x-www-form-urlencodedrequired
usernamestring(Username)required

Digital identity username

passwordstring(Password)required

Digital identity password

otpstring(Otp)required

The OTP code previously sent to the user

envstring(Env)

Reference environment for sandbox or production

  • sandbox
  • prod
Default "prod"
Enum"sandbox""prod"
curl -X POST 'https://signbox.sandbox.uanataca.com/api/v1/open_session'   -H 'Content-Type: multipart/form-data'   --form-string 'username=username'   --form-string 'password=password'   --form-string 'otp=otp'

Responses

Successful Response

Bodyapplication/json
string

Session id

Response
application/json
{ "status": "success", "message": "Session opened", "detail": { "sessionid": "a07e9c99-c83e-424f-a396-20b4683fa2a0" } }

Request

Close the specified signature session.

Bodyapplication/x-www-form-urlencodedrequired
usernamestring(Username)required

Digital identity username

passwordstring(Password)required

Digital identity password

sessionidstring(Sessionid)required

The id of the session previously opened

envstring(Env)

Reference environment for sandbox or production

  • sandbox
  • prod
Default "prod"
Enum"sandbox""prod"
curl -X POST 'https://signbox.sandbox.uanataca.com/api/v1/close_session'   -H 'Content-Type: multipart/form-data'   --form-string 'username=username'   --form-string 'password=password'   --form-string 'sessionid=sessionid'

Responses

Successful Response

Bodyapplication/json
any
Response
application/json
null
Operations
Operations
Operations
Operations